OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
SoundDriver Class Reference

Base for all sound drivers. More...

`#include <sound_driver.hpp>`

Inheritance diagram for SoundDriver:

## Public Member Functions
virtual void | MainLoop ()
| Called once every tick.
Public Member Functions inherited from Driver
virtual const char * | Start (const char *const *parm)=0
| Start this driver.
virtual void | Stop ()=0
| Stop this driver.
virtual const char * | GetName () const =0
| Get the name of this driver.

## Static Public Member Functions
static SoundDriver * | GetInstance ()
| Get the currently active instance of the sound driver.

## Additional Inherited Members
Public Types inherited from Driver
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...

## Detailed Description

Base for all sound drivers.

Definition at line 18 of file sound_driver.hpp.

The documentation for this class was generated from the following file:

- src/sound/sound_driver.hpp